Name:		xplanet
Version:	1.3.0
Release:	%mkrel 5
Summary:	OpenGL based planet renderer
Source0:	http://freefr.dl.sourceforge.net/sourceforge/xplanet/%{name}-%{version}.tar.gz
Patch0:		xplanet-1.3.0-PrintGifError.patch
URL:		http://xplanet.sourceforge.net/
License:	GPLv2+
Group:		Toys
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	ungif-devel
BuildRequires:	libx11-devel
BuildRequires:	libxscrnsaver-devel
BuildRequires:	freetype2-devel
BuildRequires:	pango-devel

%description
Xplanet is similar to Xearth, where an image of the earth is rendered into
an X window. Azimuthal, Mercator, Mollweide, orthographic, or rectangular
projections can be displayed as well as a window with a globe the user can
rotate interactively. The other planets and some satellites may also be
displayed. The latest version, as well as maps for other planets can be
found at http://xplanet.sourceforge.net. Xplanet can support separate
night and day maps, as well as a separate cloud map.

%prep
%setup -q
%apply_patches

%build
# the macro break X output
%configure2_5x --with-xscreensaver --with-x
%make

%install
rm -rf %{buildroot}
%makeinstall_std


%files
%doc COPYING ChangeLog
%{_mandir}/man1/%{name}.1*
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-5.mga4
+ Revision: 526235
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.3.0-4.mga4
+ Revision: 436274
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.3.0-3.mga3
+ Revision: 387315
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 pterjan <pterjan> 1.3.0-2.mga3
+ Revision: 324853
- Fix build with new giflib

* Tue Jun 12 2012 eatdirt <eatdirt> 1.3.0-1.mga3
+ Revision: 260090
- Upgrade version to 1.3.0

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1.2.2-4.mga2
+ Revision: 217657
- rebuild for netpbm

* Fri Dec 23 2011 mikala <mikala> 1.2.2-3.mga2
+ Revision: 186830
- Rebuild for new libtiff
- remove %%defattr() & %%clean section
- use %%{buildroot} macro instead of $RPM_BUILD_ROOT

* Sun Sep 18 2011 fwang <fwang> 1.2.2-2.mga2
+ Revision: 144965
- rebuild for new libpng
- new version 1.2.

* Sat Jan 22 2011 ahmad <ahmad> 1.2.1-6.mga1
+ Revision: 33307
- drop BR X11-devel
- add BR libxscrnsaver-devel libice-devel libnetpbm-devel
- imported package xplanet


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-5mdv2011.0
+ Revision: 608228
- rebuild

* Mon Mar 15 2010 Rémy Clouard <shikamaru@mandriva.org> 1.2.1-4mdv2010.1
+ Revision: 520571
- rebuild for new libX11

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-3mdv2010.1
+ Revision: 488817
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 416669
- rebuilt against libjpeg v7

* Mon May 25 2009 Rémy Clouard <shikamaru@mandriva.org> 1.2.1-1mdv2010.0
+ Revision: 379668
- use macro for configure
- new upstream version
- fix license
- add missing includes

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix prefix

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Apr 27 2007 Lenny Cartier <lenny@mandriva.org> 1.2.0-3mdv2008.0
+ Revision: 18707
- Rebuild
- Import xplanet



* Wed Sep 14 2005 Michael Scherer <misc@mandriva.org> 1.2.0-2mdk
- mkrel
- BuildRequires and configure option, to fix #18568

* Fri Jun 17 2005 Lenny Cartier <lenny@mandriva.com> 1.2.0-1mdk
- 1.2.0

* Tue Mar 24 2005 Couriousous <couriousous@mandrake.org> 1.1.2-2mdk
- Rebuild ( fix #14949 )

* Tue Jan 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2

* Mon Jul 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Tue Jun 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Mon May 17 2004 Michael Scherer <misc@mandrake.org> 1.0.6-1mdk
- New release 1.0.6

* Thu Jan 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-1mdk
- 1.0.2
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- cosmetics

* Tue Mar 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.94-3mdk
- Rebuild with gcc3.2

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.94-2mdk
- gcc 3.2 build

* Mon Jun 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.94-1mdk
- 0.94
- patch0: fix aclocal.m4 & configure.in with useless includes

* Thu Jan 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.92-1mdk
- 0.92

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.90-1mdk 
- 0.90

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.84-1mdk
- 0.84

* Sat Jul 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.83-1mdk
- update to version 0.83
- mandrakize macros

* Mon Apr 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.80-1mdk
- added in contribs by Sean Dague <sean@dague.net>
